<?php
/**
 * VW Wedding: Block Patterns
 *
 * @package VW Wedding
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-wedding',
		array( 'label' => __( 'VW Wedding', 'vw-wedding' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-wedding/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-wedding' ),
			'categories' => array( 'vw-wedding' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":793,\"dimRatio\":30,\"minHeight\":500,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim-30 has-background-dim banner-section\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png);min-height:500px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"m-0\"} -->\n<div class=\"wp-block-columns alignwide m-0\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"className\":\"mb-3\",\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":100}}} -->\n<h1 class=\"has-text-align-center mb-3 has-white-color has-text-color\" style=\"font-size:100px\">Carol &amp; John</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":14}}} -->\n<p class=\"has-text-align-center text-center has-white-color has-text-color\" style=\"font-size:14px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua..</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"text-center\"} -->\n<div class=\"wp-block-buttons text-center\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"background\":\"#fc7277\"}},\"textColor\":\"white\",\"className\":\"mt-4\"} -->\n<div class=\"wp-block-button mt-4\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#fc7277\">Save the Date</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-wedding/about-section',
		array(
			'title'      => __( 'About Section', 'vw-wedding' ),
			'categories' => array( 'vw-wedding' ),
			'content'    => "<!-- wp:columns {\"align\":\"wide\",\"className\":\"about-section m-0 py-5\"} -->\n<div class=\"wp-block-columns alignwide about-section m-0 py-5\"><!-- wp:column {\"className\":\"bride-groom\"} -->\n<div class=\"wp-block-column bride-groom\"><!-- wp:columns {\"className\":\"mb-3\"} -->\n<div class=\"wp-block-columns mb-3\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":795,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"text-md-left text-center\"} -->\n<figure class=\"wp-block-image size-large text-md-left text-center\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/groom.png\" alt=\"\" class=\"wp-image-795\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"className\":\"mb-2 text-md-left text-center\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":30}}} -->\n<h3 class=\"mb-2 text-md-left text-center has-black-color has-text-color\" style=\"font-size:30px\">John Smith</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"text-md-left text-center\"} -->\n<p class=\"text-md-left text-center\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"mb-3\"} -->\n<div class=\"wp-block-columns mb-3\"><!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"className\":\"mb-2 text-md-left text-center\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":30}}} -->\n<h3 class=\"has-text-align-left mb-2 text-md-left text-center has-black-color has-text-color\" style=\"font-size:30px\">Carol Teea</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"text-md-left text-center\"} -->\n<p class=\"text-md-left text-center\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":796,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"text-md-left text-center\"} -->\n<figure class=\"wp-block-image size-large text-md-left text-center\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/bride.png\" alt=\"\" class=\"wp-image-796\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"love-story\"} -->\n<div class=\"wp-block-column love-story\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/love-story.png\",\"id\":798,\"dimRatio\":0,\"minHeight\":300,\"className\":\"my-0\"} -->\n<div class=\"wp-block-cover my-0\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/love-story.png);min-height:300px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:paragraph {\"className\":\"story-date\",\"textColor\":\"white\",\"style\":{\"color\":{\"background\":\"#fc7277\"},\"typography\":{\"fontSize\":22}}} -->\n<p class=\"story-date has-white-color has-text-color has-background\" style=\"background-color:#fc7277;font-size:22px\">27 Dec 2021</p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:heading {\"textAlign\":\"right\",\"className\":\"mt-4 mb-0 text-md-right text-center\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":30}}} -->\n<h2 class=\"has-text-align-right mt-4 mb-0 text-md-right text-center has-black-color has-text-color\" style=\"font-size:30px\">OUR FIRST MET</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"className\":\"text-md-right text-center\",\"fontSize\":\"small\",\"style\":{\"color\":{\"text\":\"#474646\"}}} -->\n<p class=\"has-text-align-right text-md-right text-center has-text-color has-small-font-size\" style=\"color:#474646\">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}