<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action( 'vw_wedding_before_slider' ); ?>

  <?php if( get_theme_mod( 'vw_wedding_slider_hide_show', false) != '' || get_theme_mod( 'vw_wedding_resp_slider_hide_show', false) != '') { ?>
    <section id="slider">
      <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel" data-bs-interval="<?php echo esc_attr(get_theme_mod( 'vw_wedding_slider_speed',4000)) ?>"> 
        <?php $vw_wedding_slider_pages = array();
          for ( $count = 1; $count <= 4; $count++ ) {
            $mod = intval( get_theme_mod( 'vw_wedding_slider_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $vw_wedding_slider_pages[] = $mod;
            }
          }
          if( !empty($vw_wedding_slider_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $vw_wedding_slider_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h1><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                  <p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_wedding_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_wedding_slider_excerpt_number','30')))); ?></p>
                  <?php if( get_theme_mod('vw_wedding_slider_button','Save The Date') != ''){ ?>
                    <div class="more-btn">              
                      <a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_theme_mod('vw_wedding_slider_button',__('Save The Date','vw-wedding')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('vw_wedding_slider_button',__('Save The Date','vw-wedding')));?></span></a>
                    </div>
                  <?php }?>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
            <div class="no-postfound"></div>
        <?php endif;
        endif;?>
        <a class="carousel-control-prev" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev" role="button">
          <span class="carousel-control-prev-icon w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Previous','vw-wedding' );?></span>
        </a>
        <a class="carousel-control-next" data-bs-target="#carouselExampleCaptions" data-bs-slide="next" role="button">
          <span class="carousel-control-next-icon w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Next','vw-wedding' );?></span>
        </a>
      </div>  
      <div class="clearfix"></div>
    </section> 
  <?php }?>

  <?php do_action( 'vw_wedding_after_slider' ); ?>

  <section id="first-section">
    <div class="container">
      <div class="row m-0">
        <?php if( get_theme_mod('vw_wedding_groom') != '' || get_theme_mod('vw_wedding_bride') != ''){ ?>
          <div class="col-lg-7 col-md-7">
            <div class="row bride-groom">
              <?php
                $vw_wedding_postData=  get_theme_mod('vw_wedding_groom');
                if($vw_wedding_postData){
                  $args = array( 'name' => esc_html($vw_wedding_postData ,'vw-wedding'));
                  $query = new WP_Query( $args );
                  if ( $query->have_posts() ) :
                    while ( $query->have_posts() ) : $query->the_post(); ?>
                      <div class="row">
                        <div class="col-lg-4 col-md-4">
                          <?php the_post_thumbnail(); ?>
                        </div>
                        <div class="col-lg-8 col-md-8">
                          <div class="row">
                            <div class="col-lg-6 col-md-6">
                              <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
                            </div>
                            <div class="col-lg-6 col-md-6">
                              <?php dynamic_sidebar('groom'); ?>
                            </div>
                          </div>                    
                          <p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_wedding_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_wedding_bride_excerpt_number','30')))); ?></p>
                        </div>
                      </div>
                    <?php endwhile; 
                    wp_reset_postdata();?>
                    <?php else : ?>
                      <div class="no-postfound"></div>
                    <?php
                endif; }?>
               <?php
                $vw_wedding_postData1=  get_theme_mod('vw_wedding_bride');
                if($vw_wedding_postData1){
                  $args = array( 'name' => esc_html($vw_wedding_postData1 ,'vw-wedding'));
                  $query = new WP_Query( $args );
                  if ( $query->have_posts() ) :
                    while ( $query->have_posts() ) : $query->the_post(); ?>
                      <div class="row">
                        <div class="col-lg-8 col-md-8">
                          <div class="row">
                            <div class="col-lg-6 col-md-6">
                              <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
                            </div>
                            <div class="col-lg-6 col-md-6">
                              <?php dynamic_sidebar('bride'); ?>
                            </div>
                          </div>
                          <p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_wedding_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_wedding_bride_excerpt_number','30')))); ?></p>
                        </div>
                        <div class="col-lg-4 col-md-4">
                          <?php the_post_thumbnail(); ?>
                        </div>
                      </div>
                    <?php endwhile; 
                    wp_reset_postdata();?>
                    <?php else : ?>
                      <div class="no-postfound"></div>
                    <?php
                endif; }?>
            </div>
          </div>
        <?php }?>
        <?php if( get_theme_mod('vw_wedding_love_story1') != ''){ ?>
          <div class="col-lg-5 col-md-5">
            <?php
              $vw_wedding_postData1=  get_theme_mod('vw_wedding_love_story1');
              if($vw_wedding_postData1){
                $args = array( 'name' => esc_html($vw_wedding_postData1 ,'vw-wedding'));
                $query = new WP_Query( $args );
                if ( $query->have_posts() ) :
                  while ( $query->have_posts() ) : $query->the_post(); ?>
                    <div class="love_story">
                      <?php the_post_thumbnail(); ?>
                      <div class="sec-date">
                        <span><?php the_date(); ?></span>
                      </div>
                      <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h3>
                      <p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_wedding_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_wedding_lovestory_excerpt_number','30')))); ?></p>
                    </div>
                  <?php endwhile; 
                  wp_reset_postdata();?>
                  <?php else : ?>
                    <div class="no-postfound"></div>
                  <?php
              endif; }
            ?>
          </div>
        <?php }?>
      </div>
    </div>
  </section>

  <?php do_action( 'vw_wedding_after_bride_groom_section' ); ?>

  <div class="content-vw">
    <div class="container">
      <?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
      <?php endwhile; // end of the loop. ?>
    </div>
  </div>
</main>

<?php get_footer(); ?>